Instant Rails Ruby Component

Hello,

I would like to update Ruby in instant rails from 1.8.6 to 1.9.2, but it
is not just simple to extract and replace into ruby folder because i
loose all gems like actionmailer etc... also i can't replace only
ruby.exe because i get errors when i want to use gem update, see i
updated gem to 1.3.7 version from 1.0.1 and the only thing is to update
ruby version because at least i need to use 1.8.7 to update rails etc..